Subject: Re: bug#25360: File mode specification errors during building

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Mar 2017 13:11:16 +0200

> Date: Sat, 4 Mar 2017 10:32:21 -0000
> From: "Phillip Lord" <[email-masked]>
> Cc: [email-masked],
>  [email-masked],
>  [email-masked]
> 
> > Symbol's function definition is void: w32-convert-standard-filename
> > make[2]: Leaving directory `/d/gnu/git/emacs/trunk/lisp'
> >
> >
> > The build succeeds nonetheless.  Moreover, if I repeat the offending
> > command ("make autoloads") manually, there are no error messages.
> > w32-convert-standard-filename is defined in w32-fns.el, which is preloaded
> > by loadup.el, so I don't understand this error message, and am unable to
> > debug it because I cannot reproduce if if I run the same commands by hand.
> > It could be related to the fact that we use an
> > emacs executable that overflowed the pure storage (see the "49515 pure
> > bytes used" message).
> >
> > Can we please fix this annoyance?  (And no, I don't want to bootstrap,
> > because this deletes all the old binaries I keep for testing.  And I
> > already tried "make generate-ldefs-boot", it didn't help.)
> 
> 
> Yes, I will revert to the old system. Nice idea, but it isn't working.
> I'll try and find time as quickly as possible.

Thanks.  I'm making a few small changes in the current system, so
please wait for a while until I'm done.  If that doesn't solve the
above issue, at the very least it will fix a few minor gotcha's, in
case someone else will want to pick up this idea in the future.